define(['jquery','back', 'facebook'], function($, back){

    var debug = false;

    if (!debug) {

        FB.init({
            appId      : '232630767238845',
            version    : 'v2.9'
        });
        
       
    }

    var Poemapostal = function() {

    	that = this;

    	this.running = false;

	    this.startUI = function() {
	        console.log("START UI")

	        poemapostal.running = true;

	        backPoemapostal = new Back();
	        backPoemapostal.create();
	        backPoemapostal.show();
	        backPoemapostal.setGame = 60;
	        console.log(backPoemapostal.setGame);

            $('.step1-poemapostal').velocity("fadeIn", {delay: 1000, duration: 1000});

	        
	    };


        this.share = function(close) {

            var barShare = $('.wrapper-poemapostal .bar-bottom-notification');
            var closenotificationShare = $('.bar-bottom-notification .close-notification');
            var fbBtn = $('.bar-bottom-notification .fb');

            if(!close){
                barShare.velocity("slideUp", { duration: 500 });        
            }
            else {
                barShare.velocity("slideDown", { duration: 500 });
            }

            closenotificationShare.click(function(e){
                barShare.velocity("slideUp", { duration: 500 });
                e.preventDefault();
            });

            fbBtn.click(function(){
                FB.ui(
                 {
                  method: 'share',
                  href: 'https://susurroyaltavoz.encuentro.gob.ar',
                  caption: 'Yo también participé de Susurro y Altavoz. ¡Hacé tu experiencia!',
                }, function(response){
                    console.log(response);
                });                
            });

        };
        

	    this.Methods = {

	        destroy: function(from) {

	            switch(from) {
	                case 'step1':
	                    console.log("step1 destroy");
	                    $('.wrapper-poemapostal, .step1-poemapostal').attr('style', '');
	                    backPoemapostal.destroy();
	                    poemapostal.running = false;
	                    // rimodromo.restart();
	                    // $('.destiny').velocity("transition.fadeIn", {
	                    //     display: "block",
	                    //     duration: 500
	                    // });
	                    break;
	                case 'step2':
	                    backRimodromo.setGame = 12;
	                    console.log("step2 destroy");
	                    $('.rimodromo-step-two').attr('style', '');
	                    soundManager.stopAllSounds();
	                    $('.rimodromo-step-one').velocity("transition.fadeIn", {
	                        display: "block",
	                        duration: 500
	                    });                        
	                    break;
	                case 'step3':
	                    backRimodromo.setGame = 13;
	                    console.log("step3 destroy");
	                    $('.rimodromo-step-three').attr('style', '');
	                    soundManager.stopAllSounds();
	                    rimodromo.playLoop(rimodromo.selectedSound);
	                    $('.rimodromo-step-two').velocity("transition.fadeIn", {
	                        display: "block",
	                        duration: 500
	                    });
	                    break;
	                case 'step4':
	                    backRimodromo.setGame = 14;
	                    console.log("step4 destroy");
	                    rimodromo.share(false);
	                    $('.rimodromo-step-four, .author-name, .created-wrapper, .rimodromo-step-three, #btnPlaylist').attr('style', '');
	                    soundManager.stopAllSounds();
	                    $('.rimodromo-step-three').velocity("transition.fadeIn", {
	                        display: "block",
	                        duration: 500
	                    });                        
	                    break; 
	                case 'step1home':
	                    console.log('step1home');
	                    $('.wrapper-poemapostal, .step1-poemapostal').attr('style', '');	                    
	                    if(poemapostal.running){
	                        backPoemapostal.destroy();
	                    }
	                    poemapostal.running = false;                        
	                    poemapostal.share(false);
	                    break;
	                case 'step2home':
	                    console.log('step2home');
	                    break;                         
	                case 'step3home':
	                    console.log('step3home');
	                    break; 
	                case 'step4home':
	                    console.log('step4home');
	                    break;                                                                         
	                default:
	            }
	        }, 
	        startUI: function(){
	            poemapostal.startUI();
	        }, 
	        running: function(){
	            return poemapostal.running;
	        }
	    };

    };

    var poemapostal = new Poemapostal();

    return poemapostal.Methods;




});